Commit 17b3fca2 authored by Francesco Gazzetta's avatar Francesco Gazzetta

Filter out --allow-depending-on-private-libs for Cabal <2.5

parent 162745ad
......@@ -512,6 +512,8 @@ filterConfigureFlags flags cabalLibVersion
convertToLegacyInternalDep (GivenComponent pn LMainLibName cid) =
Just $ GivenComponent pn LMainLibName cid
in catMaybes $ convertToLegacyInternalDep <$> configDependencies flags
-- Cabal < 2.5 doesn't know about '--allow-depending-on-private-libs'.
, configAllowDependingOnPrivateLibs = NoFlag
-- Cabal < 2.5 doesn't know about '--enable/disable-executable-static'.
, configFullyStaticExe = NoFlag
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment